<script>
  import TaskListComp from "./components/TaskList.svelte";
  import TaskList from "./models/TaskList";
  import Task from "./models/Task";

  let tl = new TaskList();

  let newTaskDescription = "";

  function addTask() {
    console.log("### Adding new task");
    tl.addTask(new Task(tl.tasks.length + 1, newTaskDescription));
	tl = tl;
	newTaskDescription=""
  }

  function handleEnter(event){
	  if (!event) { 
          var event = window.event; 
    } // Enter is pressed 
    if (event.keyCode == 13) { 
          addTask(); 
     } 
  }
</script>

<style>
  h1 {
    color: #98dfaf;
	font-size: 2em
  }

</style>

<input bind:value={newTaskDescription} on:keydown={handleEnter}/>
<button on:click={addTask}>Add</button>
<section>
  <h1>Weekly</h1>
  <TaskListComp taskList={tl} />
</section>
